


NSRARCHIVE(8)                                       NSRARCHIVE(8)


NNAAMMEE
       nsrarchive  - archive files to long term storage with Net-
       Worker

SSYYNNOOPPSSIISS
       nnssrraarrcchhiivvee [ --BBiiLLnnppqqvvxxVVyy ] [ --bb _p_o_o_l ] [ --CC _c_l_o_n_e _p_o_o_l ] [
       --ff  _d_i_r_e_c_t_i_v_e  _f_i_l_e_n_a_m_e  ]  [ --GG _r_e_m_o_v_e ] [ --NN _n_a_m_e ] [ --RR
       _n_a_m_e ] [ --ss _s_e_r_v_e_r ] [ --TT _a_n_n_o_t_a_t_i_o_n ] [ --WW _w_i_d_t_h ] [ _p_a_t_h
       _._._.  ]

DDEESSCCRRIIPPTTIIOONN
       nnssrraarrcchhiivvee archives files, including directories or entire
       filesystems, to the NetWorker server  (see  nnssrr(8)).   The
       progress of an archive can be monitored using the X Window
       System based nnwwaaddmmiinn(8) program or  the  ccuurrsseess(3X)  based
       nnssrrwwaattcchh(8)  program  for  other  terminal  types.  Use of
       nnssrraarrcchhiivvee is restricted to users on the administrator and
       archive users lists.

       If  no _p_a_t_h arguments are specified, the current directory
       will be archived.  nnssrraarrcchhiivvee will archive a directory  by
       archiving  all  the  files and subdirectories it contains,
       but it will not cross mount points,  nor  will  it  follow
       symbolic  links.   If the paths to be archived are mounted
       from a network file server, nnssrraarrcchhiivvee will  instruct  the
       user  to  run the archive on the remote machine or use the
       --LL option.

       The directive  files  (see  nnssrr(5))  encountered  in  each
       directory  will  be read by default, and they contain spe-
       cial instructions directing how particular files are to be
       archived  (i.e.  compressed,  skipped, etc.).  These files
       are named '..nnssrr'.

       Each file in the subdirectory structures specified by  the
       _p_a_t_h arguments will be encapsulated in a NetWorker archive
       stream.  This stream of data is sent to a  receiving  pro-
       cess  (see  nnssrrdd(8))  on  the NetWorker server, which will
       process the data, adding entries to the media database for
       the  archive  save set, with the data finally ending up on
       some long term storage media (see nnssrrmmmmdd(8)).

       Details about handling media are discussed in nnssrrmmmm(8) and
       nnssrr__ddeevviiccee(5).

       If  the grooming option _r_e_m_o_v_e is requested, all files and
       directories archived  are  removed.   If  verification  is
       requested,  the files will not be removed if the verifica-
       tion failed.  Likewise, the files will not be removed if a
       requested  cloning  operation fails.  The user is prompted
       for confirmation before the files are removed  unless  the
       --yy option is supplied.

       If  the  user  does  not supply a --TT option on the command



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





NSRARCHIVE(8)                                       NSRARCHIVE(8)


       line, they will be prompted to enter an annotation for the
       archive.

OOPPTTIIOONNSS
       --bb _p_o_o_l
              Specify  a  destination  pool  for the archive save
              set.  This  option  overrides  the  automatic  pool
              selection which normally occurs on the server.

       --BB     Force  archive of all connecting directory informa-
              tion from root (``/'') down to the point of invoca-
              tion.

       --CC _c_l_o_n_e _p_o_o_l
              Generate  a  clone  of this archive save set to the
              specified _c_l_o_n_e _p_o_o_l.

       --EE     Estimate the amount of data which will be generated
              by  the  archive,  then perform the actual archive.
              Note that the estimate is generated from the  inode
              information,  and  thus  the  data is only actually
              read once.

       --ff _f_i_l_e_n_a_m_e
              The file from which  to  read   default  directives
              (see  nnssrr(5)).   A _f_i_l_e_n_a_m_e of -- causes the default
              directives to be read from standard input.

       --ii     Ignore directive files as they are  encountered  in
              the subdirectory structures being archived.

       --GG _r_e_m_o_v_e
              Groom  the files after they have been archived.  If
              cloning or verification is requested,  no  grooming
              is  performed until those operations have completed
              successfully.  The user is prompted for removal  of
              top-level  directories  unless the yy option is sup-
              plied.  nnssrraarrcchhiivvee creates a temporary  file  which
              contains  a list of all files and directories to be
              removed.  The temporary  file  is  placed  in  _/_t_m_p
              unless the environment variable TTMMPPDDIIRR is set.

       --LL     Local.   Archives  will be performed from the local
              NetWorker client, even when files are from  a  net-
              work file server.

       --nn     No archive.  Estimate the amount of data which will
              be generated by the archive, but do not perform the
              actual archive.

       --NN _n_a_m_e
              The  symbolic  name  of  this archive save set.  By
              default, the first _p_a_t_h argument  is  used  as  the
              name.



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





NSRARCHIVE(8)                                       NSRARCHIVE(8)


       --vv     Verbose.   Cause the nnssrraarrcchhiivvee program to tell you
              in great detail what it is doing as it proceeds.

       --pp     Exit with status 0.  Used by server to determine if
              client installed properly.

       --qq     Quiet.   Display only summary information and error
              messages.

       --RR _n_a_m_e
              This option should only be  used  by  the  nnssrraalliisstt
              program,  which handles executing archive requests.
              Updates to the named archive request resource occur
              when this option is specified.

       --ss _s_e_r_v_e_r
              Specify  which  machine  to  use  as  the NetWorker
              server.  The default is the current machine  if  it
              is running a server, otherwise the machine with the
              logical name ``nsrhost'' in  the  host  table  (see
              hhoossttss(5)) is used.

       --TT _a_n_n_o_t_a_t_i_o_n
              Archive  save  sets can be annotated with arbitrary
              text (up to 1023 characters).  This  option  speci-
              fies  an  annotation for the archive save set being
              generated.

       --VV     Verify the archive save set after it completes.

       --WW _w_i_d_t_h
              The width used when formatting summary  information
              output.

       --xx     Cross mount points.

       --yy     Answer yes to any questions.

SSEEEE AALLSSOO
       ccuurrsseess(3X), nnssrr__ggeettddaattee(3), hhoossttss(5), nnssrr(5), nnssrr(8),
       nnssrr__sseerrvviiccee(5), nnssrr__ddeevviiccee(5), nnssrrmmmm(8), nnssrrmmmmdd(8),
       nnssrrdd(8), nnssrrwwaattcchh(8), nnssrrrreettrriieevvee(8), nnwwaaddmmiinn(8).

DDIIAAGGNNOOSSTTIICCSS
   EExxiitt CCooddeess
        00     Normal exit.
       --11     Abnormal exit.










NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3


